2020-06-04 14:24 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002384FSSCPmodelspublic2020-04-13 18:25
ReporterFUBAR-BDHR 
Assigned ToGoober5000 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.13 
Target VersionFixed in Version 
Summary0002384: Destroyed versions of subsystems with subobject do not render those subobjects
DescriptionSay you have a subobject that is a subsystem that has subobjects. Something like this:

Detail0
-->Fighterbay01a
---->Stripa
---->hangera
---->greeblesa
-->Fighterbay01a-destroyed
---->Stripa-destroyed
---->hangera-destroyed
---->greeblesa-destroyed

Now fighterbay01a is a subsystem and so is stripa. If you destroy those subsystems hangera-deatryoed and greeblesa-destroyed do not render while Fighterba01a-destroyed and Stripa-destroyed do. However there is still collision detection as if hangera-destroyed and greeblesa-destroyed existed.
TagsNo tags attached.
Attached Files
  • rar file icon 2384.rar (304,632 bytes) 2012-12-21 15:45

-Relationships
+Relationships

-Notes

~0014522

MjnMixael (manager)

I was going to try and make a test model for this.. but it seems like you have something very specific in mind. Could you please provide test data?

~0014523

FUBAR-BDHR (developer)

It was for the Sobek flight pods in Diaspora where the flight deck was supposed to be a subsystem of the pod subsystem itself. As just killing a pod without having a replacment would allow fighters to depart and arrive from out of nowhere due to all fighterbays being treated as one subsystem there needed to be a valid destroyed version of a piece too big to be one subobject. I no longer have that data though.

~0014525

Zacam (administrator)

Putting this to "Feedback" pending a resulting test case to work with.

If no ensuing test case by the weekend, then the reporter can feel free to open a new ticket when they do have one as this one will be closed.

~0014557

FUBAR-BDHR (developer)

Found a TBP model with the same issue. Pressing 1, 2 and 3 destroy the sensors subsystems, pressing 4 destroys the bridge they are attached to. If you destroy the sensors before the bridge it works. If you destroy the bridge first you get no sensors rendered but they are alive and can still be targeted.

Part 2 I'm not sure if is a bug or not. Sensors04a and Sensors05a have -destroyed versions but are not set up as subsystems in the test file. The question here is should they render?

~0016975

Goober5000 (administrator)

This should be fixed:
https://github.com/scp-fs2open/fs2open.github.com/pull/2042
+Notes

-Issue History
Date Modified Username Field Change
2011-01-23 23:06 FUBAR-BDHR New Issue
2012-12-18 15:05 MjnMixael Note Added: 0014522
2012-12-18 15:21 FUBAR-BDHR Note Added: 0014523
2012-12-18 15:32 Zacam Note Added: 0014525
2012-12-18 15:32 Zacam Assigned To => Zacam
2012-12-18 15:32 Zacam Status new => feedback
2012-12-21 15:45 FUBAR-BDHR File Added: 2384.rar
2012-12-21 15:49 FUBAR-BDHR Note Added: 0014557
2012-12-21 15:49 FUBAR-BDHR Status feedback => assigned
2020-04-13 18:24 Goober5000 Status assigned => resolved
2020-04-13 18:24 Goober5000 Resolution open => fixed
2020-04-13 18:24 Goober5000 Note Added: 0016975
2020-04-13 18:25 Goober5000 Assigned To Zacam => Goober5000
+Issue History